PDA

View Full Version : Architect 4.2.5 framework upgrade



weazil
14 Mar 2019, 10:12 AM
After upgrading to 4.2.5 was hoping to upgrade to extjs 6.7 but when i right click on the library like i have done in the past the only option is to delete

Earlier apps appear to have the upgrade option just items already running 6.6 can not

Forum_Adm
25 Mar 2019, 8:03 PM
Thank you so much for your post. I apologize for the delay. I have shared this with the support staff to look into at their earliest convenience. Your patience is greatly appreciated! We do suggest using the support portal when you need assistance with a capability of a Sencha product, you have identified a situation where a products behavior is inconsistent with the product documentation and might indicate a software bug, or when the communication between you and Sencha needs to be private.

Thanks again,

Michele

clampart
26 Mar 2019, 5:03 AM
Prerequisite
Having installed Architect 4.2.5, ExtJS 6.7 And SenchaCMD 6.7 for Architect. (See Preferences → File → Manage Frameworks)


How to update your project manually
1) Open your project (via .xds file) in Architect 4.2.5 and let it upgrade to the new Architect version - this will only affect the used version of SenchaCMD.
2) Close Architect.
3) In your $project.xds file change "settings.cmd.frameworkVersion" to "6.7.0.212" and "framework" to "ext67".
4) Open the project in Architect and do "File" → "Save entire Project".
5) Voila! Your project now uses ExtJS 6.7!


Caution! This could break your project if you use piecharts! https://www.sencha.com/forum/showthread.php?471572-Architect-4-2-5-breaks-interactions-of-type-rotate-on-piecharts

weazil
27 Mar 2019, 3:00 AM
57930

As you can see Architect sees basically every framework, the list goes as far back as 4.2.1.883 listed as installed

rakumar
3 Apr 2019, 8:31 AM
Hello,

Thank you for contacting Sencha Support!

We have reached out an Architect for his review on this and will keep you posted as soon as we hear from them.

Thank you for your patience.

Regards,
Kumar
Sencha Support

rakumar
8 Apr 2019, 6:29 AM
Hello,

Thank you for your patience,

We are still awaiting response from the Architect team on this issue, I will ensure that your are updated as soon as there is a response from them.

Regards,
Kumar
Sencha Architect.

weazil
24 Apr 2019, 5:30 AM
Manual upgrade appears to have worked...


Prerequisite
Having installed Architect 4.2.5, ExtJS 6.7 And SenchaCMD 6.7 for Architect. (See Preferences → File → Manage Frameworks)


How to update your project manually
1) Open your project (via .xds file) in Architect 4.2.5 and let it upgrade to the new Architect version - this will only affect the used version of SenchaCMD.
2) Close Architect.
3) In your $project.xds file change "settings.cmd.frameworkVersion" to "6.7.0.212" and "framework" to "ext67".
4) Open the project in Architect and do "File" → "Save entire Project".
5) Voila! Your project now uses ExtJS 6.7!


Caution! This could break your project if you use piecharts! https://www.sencha.com/forum/showthread.php?471572-Architect-4-2-5-breaks-interactions-of-type-rotate-on-piecharts

clampart
25 Apr 2019, 12:28 AM
Probably this way no code transformations regarding framework changes are applied!
For earlier upgrades there have been some transformations like removing deprecated properties or unneccessary ones because of changed defaults.

Of course it could be that there are none of such changes in Ext.6.7 coming from Ext6.6.

dawesi
15 Oct 2019, 4:34 AM
Of course it could be that there are none of such changes in Ext.6.7 coming from Ext6.6. Pretty much...